QGIS Application - Bug report #8318
data-defined size for polygon's centroid fill symbology broken
2013-07-17 07:09 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17111
Description

The data-definition feature for the centroid fill is currently broken in a few ways:

1. Setting the size through data-defined '10' expression will result in a different centroid marker size than a fixed 10 mm size (i.e. not
relying on data-definition)

2. Using a field (either via drop-down or in an expression) to set up data-defined size for centroid fill marker results in a marker with size
0, disregarding the field's value.

The attached project showcase the above problems. I'm setting this as a blocker per the "newly introduced feature not working properly"
blocker definition.

Associated revisions

Revision 1d5712c4 - 2013-07-22 09:45 PM - Jiirgen Fischer

symbology-ng: fix data defined properties of centroid fill markers (fixes #8318)

History

#1 - 2013-07-22 12:47 PM - Juirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"1d5712c485999950b2403f4dbf4e43d16239948f".
